nfv:
  nsd:
    - id: tst010-nsd
      vnfd-id:
        - VNF-B
      sapd:
        - id: right-sap
          vnf:
            vnfd-id: VNF-B
            ext-cpd-id: ext-b-right
        - id: management-sap
          virtual-link-desc: mgmt
        - id: left-sap
          vnf:
            vnfd-id: VNF-B
            ext-cpd-id: ext-b-left
      virtual-link-desc:
        - id: mgmt
          connectivity-type:
            layer-protocol: ipv4
          df:
            id: normal
            qos:
              latency: '0'
              packet-delay-variation: '0'
      df:
        - id: normal
          vnf-profile:
            - id: vnf-b-profile
              vnfd-id: VNF-B
              flavour-id: normal
              instantiation-level: single
              min-number-of-instances: '1'
              max-number-of-instances: '1'
              virtual-link-connectivity:
                - virtual-link-profile-id: mgmt
                  constituent-cpd-id:
                    constituent-base-element-id: vdu-b-1
                    constituent-cpd-id: management
          virtual-link-profile:
            - id: mgmt
              virtual-link-desc-id: mgmt
              flavour-id: normal
              max-bitrate-requirements:
                root: '1000'
              min-bitrate-requirements:
                root: '0'
          ns-instantiation-level:
            - id: normal
              description: Single VNF-B
              vnf-to-level-mapping:
                - vnf-profile-id: vnf-b-profile
                  number-of-instances: '1'
            - id: double-B
              description: Double VNF-B
              vnf-to-level-mapping:
                - vnf-profile-id: vnf-b-profile
                  number-of-instances: '2'